Loading...
Searching...
No Matches
MarvinDefs.h File Reference
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/FileParsers/FileParsers.h>`
`#include <GraphMol/FileParsers/MolSGroupParsing.h>`
`#include <RDGeneral/FileParseException.h>`
`#include <RDGeneral/BadFileException.h>`
`#include <RDGeneral/LocaleSwitcher.h>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/property_tree/ptree.hpp>`
`#include <boost/property_tree/xml_parser.hpp>`
`#include <boost/foreach.hpp>`
`#include <boost/algorithm/string.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <float.h>`

Go to the source code of this file.

## Classes

class | RDKit::MarvinWriterException
class | RDKit::MarvinArrow
class | RDKit::MarvinPlus
class | RDKit::MarvinCondition
class | RDKit::MarvinAttachmentPoint
class | RDKit::MarvinAtom
class | RDKit::MarvinBondStereo
class | RDKit::MarvinBond
class | RDKit::MarvinRectangle
class | RDKit::MarvinMolBase
class | RDKit::MarvinSruCoModSgroup
class | RDKit::MarvinDataSgroup
class | RDKit::MarvinSuperatomSgroupExpanded
class | RDKit::MarvinMultipleSgroup
class | RDKit::MarvinMulticenterSgroup
class | RDKit::MarvinGenericSgroup
class | RDKit::MarvinMonomerSgroup
class | RDKit::MarvinSuperatomSgroup
class | RDKit::MarvinMol
class | RDKit::MarvinReaction
class | RDKit::MarvinStereoGroup

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum | RDKit::IsSgroupInAtomSetResult { RDKit::SgroupInAtomSet , RDKit::SgroupNotInAtomSet , RDKit::SgroupBothInAndNotInAtomSet }

## Functions

template<typename T >
std::vector< std::unique_ptr< T > >::iterator | RDKit::findUniquePtr (std::vector< std ::unique_ptr< T > > &vector, T *itemToFind)
template<typename T >
void | RDKit::eraseUniquePtr (std::vector< std ::unique_ptr< T > > &vector, T *itemToErase)
template<typename T >
bool | RDKit::getCleanNumber (std::string strToParse, T &outInt)

## Variables

const std::vector< std::string > | RDKit::sruSgroupConnectChoices {"hh", "ht", "eu"}
const std::vector< std::string > | RDKit::marvinBondOrders {"1", "2", "3", "A"}
const std::vector< std::string > | RDKit::marvinQueryBondsTypes {"SD", "SA", "DA", "Any"}
const std::vector< std::string > | RDKit::marvinConventionTypes {"cxn:coord"}
const std::vector< std::string > | RDKit::marvinStereoDictRefTypes {"cml:W", "cml:H"}
const std::vector< std::string > | RDKit::marvinStereoConventionTypes {"1", "3", "4", "6"}
const std::vector< std::string > | RDKit::marvinRadicalVals
const std::map< std::string, int > | RDKit::marvinRadicalToRadicalElectrons
const std::map< int, std::string > | RDKit::radicalElectronsToMarvinRadical